Bug 524693 - setroubleshoot: SELinux is preventing firefox from making its memory writable and executable.
Summary: setroubleshoot: SELinux is preventing firefox from making its memory wri...
Keywords:
Status: CLOSED DUPLICATE of bug 512845
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:c6087bdd55e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-21 18:24 UTC by Fredrik Duprez
Modified: 2009-11-28 15:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-22 02:49:51 UTC


Attachments (Terms of Use)

Description Fredrik Duprez 2009-09-21 18:24:52 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing firefox from making its memory writable and executable.

Detailed Description:

The firefox application attempted to change the access protection of memory
(e.g., allocated using malloc). This is a potential security problem. Firefox is
probably not the problem here ,but one of its plugins. You could remove the
plugin and the app would no longer require the access. If you figure out which
plugin is causing the access request, please open a bug report on the plugin.

Allowing Access:

There are two ways to fix this problem, you can install the nsspluginwrapper
package, which will cause firefox to run its plugins under a separate process.
This process will allow the execmem access. This is the safest choice. You could
also turn off the allow_unconfined_nsplugin_transition boolean.
setsebool -P allow_unconfined_nsplugin_transition=0

Fix Command:

yum install nspluginwrapper

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                None [ process ]
Source                        firefox
Source Path                   /usr/lib/firefox-3.5.3/firefox
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           firefox-3.5.3-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-7.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   firefox
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31-33.fc12.i686 #1 SMP Thu Sep
                              17 15:56:11 EDT 2009 i686 i686
Alert Count                   28
First Seen                    Mon 21 Sep 2009 06:27:47 AM CEST
Last Seen                     Mon 21 Sep 2009 08:23:48 PM CEST
Local ID                      040b44de-4442-40e4-b365-e143032ec0b2
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1253557428.192:25): avc:  denied  { execmem } for  pid=2145 comm="firefox" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process

node=(removed) type=SYSCALL msg=audit(1253557428.192:25): arch=40000003 syscall=192 success=no exit=-13 a0=0 a1=2000 a2=7 a3=22 items=0 ppid=2130 pid=2145 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="firefox" exe="/usr/lib/firefox-3.5.3/firefox" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= unconfined_t ==============
allow unconfined_t self:process execmem;

Comment 1 Daniel Walsh 2009-09-22 02:49:51 UTC

*** This bug has been marked as a duplicate of bug 524374 ***

Comment 2 Daniel Walsh 2009-09-22 02:50:27 UTC

*** This bug has been marked as a duplicate of bug 512845 ***


Note You need to log in before you can comment on or make changes to this bug.